# 'require' this file in your command generator

# extend or modify this file to create your own configurations

# nul: directly combines the images, using the preset coordinates
# rot: applies rotation in steps of 10 degrees up to 180 degrees, adds some noise
# rot_noise: applies rotation in steps of 10 degrees up to 180 degrees, adds
#            different levels of global noise
# too_much_dont_try: iterates over all available parameters, mainly for
#                    demonstration purposes. Note that every input image
#                    creates 7600 benchmark images, which is typically a bit
#                    too much for evaluation.

our %splice_config = (
	nul => {
	},
	rot => {
		# 1*19*1 cases per input image.
		lnoise_min => 10, # 1 case
		lnoise_max => 10,
		lnoise_step => 10,
		rot_min => 0, # 19 cases
		rot_max => 180,
		rot_step => 10,
		gnoise_min => 10, # 1 case
		gnoise_max => 10,
		gnoise_step => 10,
	},
	rot_noise => {
		# 1*19*6 = 114 cases per input image; already pretty much :/
		lnoise_min => 0, # 1 case
		lnoise_max => 0,
		lnoise_step => 0,
		rot_min => 0, # 19 cases
		rot_max => 180,
		rot_step => 10,
		gnoise_min => 0, # 6 cases
		gnoise_max => 50,
		gnoise_step => 10,
	},
	too_much_dont_try => {
		# -> per input image, 4*19*5*5*4=7600 output images are created => the
		# whole hard drive is full of trash; plus the evaluation takes forever
		lnoise_min => 5, # 4 cases
		lnoise_max => 20,
		lnoise_step => 5,
		rot_min => 0, # 19 cases
		rot_max => 180,
		rot_step => 10,
		scale_min => 800, # 5 cases
		scale_max => 1200,
		scale_step => 100,
		jpeg_min => 55, # 5 cases
		jpeg_max => 95,
		jpeg_step => 10,
		gnoise_min => 5, # 4 cases
		gnoise_max => 20,
		gnoise_step => 5,
	},
);


